%global _empty_manifest_terminate_build 0
Name:           perl-Digest-Perl-MD5
Version:        1.9
Release:        1
Summary:        Digest::Perl::MD5 Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Digest-Perl-MD5/
Source0:        http://www.cpan.org/authors/id/D/DE/DELTA/Digest-Perl-MD5-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Exporter)
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(Exporter)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%description
This modules has the same interface as the much faster Digest::MD5. So you
can easily exchange them, e.g.
%package help
Summary : Digest::Perl::MD5 Perl module
Provides: perl-Digest-Perl-MD5-doc
%description help
This modules has the same interface as the much faster Digest::MD5. So you
can easily exchange them, e.g.
%prep
%setup -q -n Digest-Perl-MD5-%{version}
%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .
%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc CHANGES META.json rand.f
%{perl_vendorlib}/*
%files help
%{_mandir}/*

%changelog
* Thu Jun 11 2020 Perl_Bot <Perl_Bot@openeuler.org> 1.9-1
- Specfile autogenerated by Perl_Bot
